# TdApi.UpdateMessageUnreadReactions (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: UpdateMessageUnreadReactions

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateMessageUnreadReactions

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateMessageUnreadReactions

Enclosing class:
  TdApi

public static final class TdApi.UpdateMessageUnreadReactions extends TdApi.Update
The list of unread reactions added to a message was changed.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`long`
`messageId`
Message identifier.
`int`
`unreadReactionCount`
The new number of messages with unread reactions left in the chat.
`TdApi.UnreadReaction[]`
`unreadReactions`
The new list of unread reactions.

## Constructor Summary

Constructors
Constructor
Description
`UpdateMessageUnreadReactions()`
The list of unread reactions added to a message was changed.
`UpdateMessageUnreadReactions(long chatId, long messageId, TdApi.UnreadReaction[] unreadReactions, int unreadReactionCount)`
The list of unread reactions added to a message was changed.
`UpdateMessageUnreadReactions(DataInput input)`
The list of unread reactions added to a message was changed.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### messageId

public long messageId
Message identifier.

### unreadReactions

public TdApi.UnreadReaction[] unreadReactions
The new list of unread reactions.

### unreadReactionCount

public int unreadReactionCount
The new number of messages with unread reactions left in the chat.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UpdateMessageUnreadReactions

public UpdateMessageUnreadReactions()
The list of unread reactions added to a message was changed.

### UpdateMessageUnreadReactions

public UpdateMessageUnreadReactions(long chatId, long messageId, TdApi.UnreadReaction[] unreadReactions, int unreadReactionCount)
The list of unread reactions added to a message was changed.

Parameters:
  `chatId` - long Chat identifier.
  `messageId` - long Message identifier.
  `unreadReactions` - UnreadReaction[] The new list of unread reactions.
  `unreadReactionCount` - int The new number of messages with unread reactions left in the chat.

### UpdateMessageUnreadReactions

public UpdateMessageUnreadReactions(DataInput input) throws IOException
The list of unread reactions added to a message was changed.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`